Bug 1683868 - fzf bash completion script should be moved to /usr/share
Summary: fzf bash completion script should be moved to /usr/share
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fzf
Version: 29
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-28 02:32 UTC by Chris King-Parra
Modified: 2019-04-10 07:36 UTC (History)
2 users (show)

Fixed In Version: fzf-0.18.0-1.fc30 fzf-0.18.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-07 00:01:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Chris King-Parra 2019-02-28 02:32:52 UTC
Description of problem:

  The bash completion file for this package is installed as
'/etc/bash_completion.d/fzf'. According to the FHS, files 
under '/etc/' are for changes by the local administrator
only. It should be under '/usr/share' instead.

  I suggest the completion script should be installed as
'/usr/share/bash-completion/completions/fzf', to match the
convention used by the 'bash-completion' package. Many
(most?) other packages also use this convention, like
'libvirt-bash-completion', for example.

Version-Release number of selected component (if applicable):
  Version: 0.17.5
  Release: 2.fc.29

How reproducible:
  Always.

Steps to Reproduce:
1. Install fzf:             'dnf install fzf'
2. List the packages files: 'rpm -ql fzf | grep completion'

Actual results:
   '/etc/bash_completion.d/fzf'

Expected results:
   '/usr/share/bash-completion/completions/fzf'

Comment 1 Elliott Sales de Andrade 2019-02-28 09:55:17 UTC
Oh, I thought I did this already. I will probably leave it until the next upstream release to change though.

Comment 2 Fedora Update System 2019-04-01 07:28:11 UTC
fzf-0.18.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0780ef0106

Comment 3 Fedora Update System 2019-04-01 07:28:57 UTC
fzf-0.18.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-af48fe176b

Comment 4 Fedora Update System 2019-04-02 02:07:04 UTC
fzf-0.18.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-af48fe176b

Comment 5 Fedora Update System 2019-04-02 02:29:48 UTC
fzf-0.18.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0780ef0106

Comment 6 Fedora Update System 2019-04-07 00:01:09 UTC
fzf-0.18.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-04-10 07:36:19 UTC
fzf-0.18.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.